%define _libdir64 %{_prefix}/lib64

Name:           gsasl
Version:        2.2.1
Release:        1.1%{?dist}
Summary:        GNU SASL library 
Group:          System Environment/Libraries
License:        LGPL-2.0-or-later
URL:            http://www.gnu.org/software/gsasl/
Source0:        ftp://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc gcc-c++ make autoconf automake libtool pkgconfig
BuildRequires: libgcrypt-devel gnutls-devel readline-devel krb5-devel
BuildRequires: libcom_err-devel gmp-devel
%if 0%{?centos_version} != 900 && 0%{?rhel_version} != 900 && 0%{?epel} != 9 && 0%{?rhel} != 9
BuildRequires: libidn-devel
%endif
BuildRequires: gettext pkg-config chrpath

%description
The library includes support for the SASL framework
and at least partial support for the CRAM-MD5, EXTERNAL,
GSSAPI, ANONYMOUS, PLAIN, SECURID, DIGEST-MD5, LOGIN,
and NTLM mechanisms.

%package -n libgsasl-devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkg-config

%description -n libgsasl-devel
The %{name}-devel package contains header files for
developing applications that use %{name}.

%package -n libgsasl
Summary: Library for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires:       pkg-config

%description -n libgsasl
The %{name}-devel package contains library files for
developing applications that use %{name}.

%prep
%setup -q

%build

# first build the 64-bit version
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --with-libgcrypt --enable-gs2 --with-gssapi-impl=mit
make %{?_smp_mflags}

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} install
if [ -x /usr/bin/chrpath ] ; then
  /usr/bin/chrpath -d %{buildroot}%{_prefix}/bin/gsasl
fi
%{__rm} -f %{buildroot}%{_prefix}/share/info/dir
%{__rm} -f %{buildroot}%{_libdir64}/libgsasl.la

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_prefix}/bin/gsasl
%{_mandir}/man1/*

%files -n libgsasl
%defattr(-,root,root,-)
%doc COPYING
%{_libdir64}/*.so.*
%if ( %{defined suse_version} || %{defined sles_version} )
%dir %attr(0755,root,root) %{_datadir}/locale/ka
%dir %attr(0755,root,root) %{_datadir}/locale/ka/LC_MESSAGES
%endif
%{_datadir}/locale/*/LC_MESSAGES/gsasl.mo
%{_mandir}/man3/*
%{_prefix}/share/info/gsasl.info.*

%files -n libgsasl-devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/*
%{_libdir64}/*.so
%{_libdir}/libgsasl.a
%{_libdir}/pkgconfig/libgsasl.pc

%post
argv1=$1
if [ -z "$argv1" ] ; then
  argv1=0
fi
if [ "$argv1" -eq 2 ] ; then # upgrade
  # we are doing upgrade
  if [ "%{_libdir}" != "/usr/lib64" -a "%{_libdir}" != "/usr/lib" ] ; then
    /sbin/ldconfig
  fi
fi

%postun
if [ "%{_libdir}" != "/usr/lib64" -a "%{_libdir}" != "/usr/lib" ] ; then
  /sbin/ldconfig
fi

%changelog
* Mon May 09 2011 Michael Perzl <michael@perzl.org> - 1.6.1-1
- first version for AIX V5.1 and higher
